## snap-pac-3.0.1-3.src.tar.gz

=== Makefile ===
# snap-pac
# https://github.com/wesbarnett/snap-pac
# Copyright (C) 2016-2021 James W. Barnett

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,

PKGNAME = snap-pac
PREFIX ?= /usr

SHARE_DIR = $(DESTDIR)$(PREFIX)/share

.PHONY: install test docs

install: man
	@install -Dm755 scripts/snap_pac.py $(SHARE_DIR)/libalpm/scripts/snap-pac
	@install -Dm644 hooks/* -t $(SHARE_DIR)/libalpm/hooks/
	@install -Dm644 LICENSE -t $(SHARE_DIR)/licenses/$(PKGNAME)/
	@install -Dm644 man8/* -t $(SHARE_DIR)/man/man8/
	@install -Dm644 README.md -t $(SHARE_DIR)/doc/$(PKGNAME)/
	@install -Dm644 extra/snap-pac.ini $(DESTDIR)/etc/snap-pac.ini

test:
	@python -m pytest -v .

man:
	@cd docs && make man
	@mkdir -p man8
	@awk 'NR==33{print ".SH DESCRIPTION"}7' docs/build/man/snap-pac.8 > man8/snap-pac.8

docs: man
	@sphinx-build -a docs/source docs/build

=== PKGBUILD ===
# Maintainer: NicoHood <archlinux {cat} nicohood {dog} de>
# PGP ID: 97312D5EB9D7AE7D0BD4307351DAE9B7C1AE9161
# Contributor: Wes Barnett <wes at wbarnett dot us>

pkgname=snap-pac
pkgver=3.0.1
pkgrel=3
pkgdesc="Pacman hooks that use snapper to create pre/post btrfs snapshots like openSUSE's YaST"
arch=('any')
url="https://github.com/wesbarnett/snap-pac"
license=('GPL')
depends=('snapper' 'pacman' 'btrfs-progs' 'python')
makedepends=('python-sphinx')
checkdepends=('python-pytest')
source=("${pkgname}-${pkgver}.tar.gz::${url}/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.gz"
        "${pkgname}-${pkgver}.tar.gz.sig::${url}/releases/download/${pkgver}/${pkgname}-${pkgver}.tar.gz.sig"
        "snap-pac.install")
backup=('etc/snap-pac.ini')
install="snap-pac.install"
validpgpkeys=('8535CEF3F3C38EE69555BF67E4B5E45AA3B8C5C3' # old key
              'F7B28C61944FE30DABEEB0B01070BCC98C18BD66') # new ecc key
sha512sums=('2f564db461650d1afcd2ccc129e65dc30c921525916bbbd40e30bcc9b283bb6b9943a5a44f221bf380b14ba5dfd6e5976d02bc541b6fcde4f8032cc19e16eb90'
            'SKIP'
            'bce2e3bddf43fd4366612c3abc015c352cb8757ed3154a51b1e84c5660d3eed145e069c634049d7f29aa24167411524343b39690c5493390d147ac734c305b88')

check() {
    cd "${pkgname}"
    make test
}

package() {
    cd "${pkgname}"
    make DESTDIR="${pkgdir}" install
}
